Subject: bug#20540: 25.0.50; Document tooltip woes, including `help-echo'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 May 2015 18:26:47 +0300

> Date: Sun, 10 May 2015 07:36:25 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > You've omitted the facts you've found, for some reason.  That's a
> > bad idea: since no one really knows about these limitations,
> 
> Someone who understands the code (C code, IIUC) can discover them.

Yes, but there are a lot of frame parameters; trying them one by one
is a lot of work.

Just by looking at the code, I see nothing special, except the obvious
omissions, such as scroll bars.

> > if you want to raise the chances that this bug report will be acted
> > upon, I urge you to describe everything you tried and found not to
> > work, so that whoever takes upon this task will have the "bread-crumbs"
> > to go by.  Otherwise, researching this issue from scratch is an
> > unpleasant task that is unlikely to find its volunteer.  Thanks.
> 
> I'll try.  But I don't have many such "facts".

Whatever you tried and saw failed will be helpful, TIA.

> I mention here some superficial tests I tried, in case it helps.

Thanks, it does help.

> > > Although `x-show-tip' seems to let you change the char size, color,
> > > background color, etc., and you can use property `display' with
> > > `help-echo',
> 
> Do you need an example of using `display' with `help-echo'?  I use
> a sexp like this for `help-echo' in dired+.el, to show a thumbnail
> preview of an image file on mouseover:
> 
> (propertize " " 'display (create-image file))

This is good enough, thanks.